Subject: [Idr] issue 13: sections 8.2.1.1 and 8.2.1.2

From: "Susan Hares" <[email-masked]>
Date: Mon, 7 Jul 2003 14:22:21 -0400

Working group:

I need comments on the AD reviewers comments listed
below.  I need review of my proposed text below for
issue 13a and 13b.  

On issue 13c, the AD suggests we add to this portion
of the FSM a description of incoming TCP connection
processing.   Does the working group feel we need
to add this to the FSM?

Sue

======================
issue 13

   issue 13a: section 8.2.1.1
   issue 13b: section 8.2.1.2 - "should normative"
   issue 13c: section 8.2.1.2 - description of transport connection

Status:  
	13a: Editor's change sent to list 
	13b: Editor's change sent to list
	13c: Await review by group.

AD Reviewers comments
----------------

> 8.2.1.1 Terms "active" and "passive"
> 
> 
>    The terms active and passive have been in our vocabulary for almost a
>    decade and have proven useful.  

Ed: The style here is quite different from the rest of the document
(i.e., personalization), plus time values tend become outdated with
time :)

Editor's Change:

  The terms active and passive have been in the Internet operator's
   vocabulary for almost a decade and have proven useful. 

> 8.2.1.2 FSM and collision detection
> 
> 
>    There is one FSM per BGP connection.  Prior to determining what peer
>    a connection is associated with there may be two connections for a
>    given peer.  There SHOULD be no more than one connection per peer.

Is above "SHOULD" normative? I.e., should be "should" instead?

Editor's change: 

	There SHOULD be no more than one connection per peer session.

>   The collision detection identifies the case where there is more than
>    one connection per peer and provides guidance for which connection to
>    get rid of.  When this occurs, the corresponding FSM for the connec-
>    tion that is closed SHOULD be disposed of.
> 

BTW, I think the specification would really benefit from a section
that describes processing of incoming transport connections.

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr